---
updatedAt: 2025-11-04T15:48:52.000Z
agentTools:
  projectIndex: https://docs.staxpayments.com/llms.txt
---

# Prompt (Signature)

Captures a digital signature on the terminal when card brand or merchant configuration requires it (e.g., high amount, specific entry mode).

The digital signature is returned as a Base64-encoded signature image in black and white bitmap format. To retrieve the image, use a base64 image decoder.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "stax-api",
    "version": "0.1"
  },
  "servers": [
    {
      "url": "https://apiprod.fattlabs.com/"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "API key for merchant-level operations. Provides access to merchant-specific endpoints including transactions, payments, customer management, and merchant account settings. This key is scoped to a single merchant account and cannot access partner-level functionality."
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/terminal/prompt/signature": {
      "post": {
        "summary": "Prompt (Signature)",
        "description": "Captures a digital signature on the terminal when card brand or merchant configuration requires it (e.g., high amount, specific entry mode).",
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "operationId": "prompt-signature",
        "parameters": [],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"signature\": \"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\",\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "register": {
                    "type": "string",
                    "required": true,
                    "description": "The id of the register performing this operation. This should be the 'id' value returned by GET /terminal/register."
                  }
                },
                "required": [
                  "register"
                ]
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```